/* 
   This file is public domain.

   The data is a matter of public record, and comes from
   http://www.letadla.info/
 */


SET search_path TO sqltutor_data;

BEGIN;

DROP TABLE IF EXISTS letecke_spolecnosti CASCADE;

CREATE TABLE letecke_spolecnosti (
    id          INTEGER PRIMARY KEY,
    spolecnost  VARCHAR(40)  NOT NULL,
    zeme        VARCHAR(20),
    svetadil    VARCHAR(20),
    aliance     VARCHAR(20)  NULL,
    zalozeno    INTEGER
);

DROP TABLE IF EXISTS letecke_flotily CASCADE;

CREATE TABLE letecke_flotily (
    spolecnost_id  INTEGER REFERENCES letecke_spolecnosti(id),
    letadlo_id     INTEGER REFERENCES dopravni_letadla(id),
    pocet_letadel  INTEGER,

    PRIMARY KEY (spolecnost_id, letadlo_id)    
);


CREATE TEMPORARY TABLE tmp_letecke_flotily (
    spolecnost_id  INTEGER,
    letadlo_id     INTEGER,
    pocet_letadel  INTEGER
);

INSERT INTO letecke_spolecnosti ( id, spolecnost, zeme, svetadil, aliance, zalozeno ) VALUES
( 1, 'Air Algerie', 'Alžírsko', 'Afrika', NULL, 1947 ),
( 2, 'Tassilli Airlines', 'Alžírsko', 'Afrika', NULL, 1997 ),
( 3, 'Ethiopian Airlines', 'Etiopie', 'Afrika', NULL, 1945 ),
( 4, 'Aerogem Aviation', 'Ghana', 'Afrika', NULL, 2000 ),
( 5, 'Antrak Air', 'Ghana', 'Afrika', NULL, 2003 ),
( 6, 'Cargoplus Aviation', 'Ghana', 'Afrika', NULL, 2003 ),
( 7, 'Ghana International Airlines', 'Ghana', 'Afrika', NULL, 2005 ),
( 8, 'Johnsons Air', 'Ghana', 'Afrika', NULL, 1996 ),
( 9, 'MK Airlines', 'Ghana', 'Afrika', NULL, 1990 ),
( 10, 'Atlas Blue', 'Maroko', 'Afrika', NULL, 2004 ),
( 11, 'Jet4you', 'Maroko', 'Afrika', NULL, 2006 ),
( 12, 'Regional Air Lines', 'Maroko', 'Afrika', NULL, 1997 ),
( 13, 'Royal Air Maroc', 'Maroko', 'Afrika', NULL, 1957 ),
( 14, 'Air Hong Kong', 'Hong Kong', 'Asie', NULL, 1986 ),
( 15, 'Cathay Pacific', 'Hong Kong', 'Asie', 'oneworld', 1946 ),
( 16, 'Dragonair', 'Hong Kong', 'Asie', NULL, 1985 ),
( 17, 'Hong Kong Airlines', 'Hong Kong', 'Asie', NULL, 2001 ),
( 18, 'Hong Kong Express Airways', 'Hong Kong', 'Asie', NULL, 1997 ),
( 19, 'Oasis Hong Kong Airlines', 'Hong Kong', 'Asie', NULL, 2005 ),
( 20, 'Arkia Israel Airlines', 'Izrael', 'Asie', NULL, 1949 ),
( 21, 'CAL Cargo Air Lines', 'Izrael', 'Asie', NULL, 1976 ),
( 22, 'El Al', 'Izrael', 'Asie', NULL, 1948 ),
( 23, 'Israir', 'Izrael', 'Asie', NULL, 1989 ),
( 24, 'Sun D''Or', 'Izrael', 'Asie', NULL, 1977 ),
( 25, 'Asiana Airlines', 'Jižní Korea', 'Asie', 'Star Alliance', 1988 ),
( 26, 'Hansung Airlines', 'Jižní Korea', 'Asie', NULL, 2004 ),
( 27, 'Jeju Air', 'Jižní Korea', 'Asie', NULL, 2005 ),
( 28, 'Korean Air', 'Jižní Korea', 'Asie', 'SkyTeam', 1962 ),
( 29, 'AirAsia', 'Malajsie', 'Asie', NULL, 1993 ),
( 30, 'Berjaya Air', 'Malajsie', 'Asie', NULL, 1989 ),
( 31, 'Firefly', 'Malajsie', 'Asie', NULL, 2007 ),
( 32, 'FlyAsianXpress', 'Malajsie', 'Asie', NULL, 2006 ),
( 33, 'Malaysia Airlines', 'Malajsie', 'Asie', NULL, 1947 ),
( 34, 'Transmile Air Services', 'Malajsie', 'Asie', NULL, 1993 ),
( 35, 'Aircruising Australia', 'Austrálie', 'Austrálie', NULL, 1983 ),
( 36, 'AirNorth Regional', 'Austrálie', 'Austrálie', NULL, 1978 ),
( 37, 'Aliance Airlines', 'Austrálie', 'Austrálie', NULL, 2002 ),
( 38, 'Asian Express Airlines', 'Austrálie', 'Austrálie', NULL, 1996 ),
( 39, 'Australian Air Express', 'Austrálie', 'Austrálie', NULL, 1992 ),
( 40, 'Eastern Australia Airlines', 'Austrálie', 'Austrálie', NULL, 1949 ),
( 41, 'Jetstar Airways', 'Austrálie', 'Austrálie', NULL, 2004 ),
( 42, 'Macair Airlines', 'Austrálie', 'Austrálie', NULL, 1992 ),
( 43, 'Maroomba Airlines', 'Austrálie', 'Austrálie', NULL, 1985 ),
( 44, 'National Jet Systems', 'Austrálie', 'Austrálie', NULL, 1989 ),
( 45, 'OzJet', 'Austrálie', 'Austrálie', NULL, 2005 ),
( 46, 'Qantas', 'Austrálie', 'Austrálie', 'oneworld', 1920 ),
( 47, 'QantasLink', 'Austrálie', 'Austrálie', NULL, 2002 ),
( 48, 'Queensland Regional Airlines', 'Austrálie', 'Austrálie', NULL, 2003 ),
( 49, 'Regional Express Airlines', 'Austrálie', 'Austrálie', NULL, 2002 ),
( 50, 'Skippers Aviation', 'Austrálie', 'Austrálie', NULL, 1990 ),
( 51, 'Skytrans Airlines', 'Austrálie', 'Austrálie', NULL, 1993 ),
( 52, 'Skywest Airlines', 'Austrálie', 'Austrálie', NULL, 1963 ),
( 53, 'Sunstate Airlines', 'Austrálie', 'Austrálie', NULL, 1974 ),
( 54, 'Virgin Blue', 'Austrálie', 'Austrálie', NULL, 2000 ),
( 55, 'Air Chathams', 'Nový Zéland', 'Austrálie', NULL, 1986 ),
( 56, 'Air Freight NZ', 'Nový Zéland', 'Austrálie', NULL, 1989 ),
( 57, 'Air Nelson', 'Nový Zéland', 'Austrálie', NULL, 1979 ),
( 58, 'Air New Zealand', 'Nový Zéland', 'Austrálie', 'Star Alliance', 1940 ),
( 59, 'Air Post', 'Nový Zéland', 'Austrálie', NULL, 1990 ),
( 60, 'Airwork', 'Nový Zéland', 'Austrálie', NULL, 1984 ),
( 61, 'Eagle Airways', 'Nový Zéland', 'Austrálie', NULL, 1969 ),
( 62, 'Freedom Air', 'Nový Zéland', 'Austrálie', NULL, 1995 ),
( 63, 'JetConnect', 'Nový Zéland', 'Austrálie', NULL, 2002 ),
( 64, 'Mount Cook Airline', 'Nový Zéland', 'Austrálie', NULL, 1920 ),
( 65, 'Pacific Blue Airlines', 'Nový Zéland', 'Austrálie', NULL, 2003 ),
( 66, 'Vincent Aviation', 'Nový Zéland', 'Austrálie', NULL, 1992 ),
( 67, 'Ada Air', 'Albánie', 'Evropa', NULL, 1991 ),
( 68, 'Albanian Airlines', 'Albánie', 'Evropa', NULL, 1992 ),
( 69, 'Belle Air', 'Albánie', 'Evropa', NULL, 2005 ),
( 70, 'Brussels Airlines', 'Belgie', 'Evropa', NULL, 2006 ),
( 71, 'European Air Transport', 'Belgie', 'Evropa', NULL, 1971 ),
( 72, 'Jetairfly', 'Belgie', 'Evropa', NULL, 2003 ),
( 73, 'Thomas Cook Airlines', 'Belgie', 'Evropa', NULL, 2001 ),
( 74, 'TNT Airways', 'Belgie', 'Evropa', NULL, 1999 ),
( 75, 'VLM Airlines', 'Belgie', 'Evropa', NULL, 1992 ),
( 76, 'Air Sofia', 'Bulharsko', 'Evropa', NULL, 1992 ),
( 77, 'Air Via', 'Bulharsko', 'Evropa', NULL, 1990 ),
( 78, 'BH Air - Balkan Holidays', 'Bulharsko', 'Evropa', NULL, 2003 ),
( 79, 'Bulgaria Air', 'Bulharsko', 'Evropa', NULL, 2002 ),
( 80, 'Bulgarian Air Charter', 'Bulharsko', 'Evropa', NULL, 2000 ),
( 81, 'Hemus Air', 'Bulharsko', 'Evropa', NULL, 1991 ),
( 82, 'Scorpion Air', 'Bulharsko', 'Evropa', NULL, 1990 ),
( 83, 'Vega Airlines', 'Bulharsko', 'Evropa', NULL, 1997 ),
( 84, 'Viaggio Air', 'Bulharsko', 'Evropa', NULL, 2002 ),
( 85, 'Wizz Air Bulgaria', 'Bulharsko', 'Evropa', NULL, 2005 ),
( 86, 'Croatia Airlines', 'Chorvatsko', 'Evropa', 'Star Alliance', 1989 ),
( 87, 'Dubrovnik Airline', 'Chorvatsko', 'Evropa', NULL, 2005 ),
( 88, 'Trade Air', 'Chorvatsko', 'Evropa', NULL, 1994 ),
( 89, 'Aero Airlines', 'Estonsko', 'Evropa', NULL, 2000 ),
( 90, 'Airest', 'Estonsko', 'Evropa', NULL, 2001 ),
( 91, 'Avies', 'Estonsko', 'Evropa', NULL, 1991 ),
( 92, 'Enimex', 'Estonsko', 'Evropa', NULL, 1994 ),
( 93, 'Estonian Air', 'Estonsko', 'Evropa', NULL, 1991 ),
( 94, 'Air Aland', 'Finsko', 'Evropa', NULL, 2005 ),
( 95, 'Air Finland', 'Finsko', 'Evropa', NULL, 2002 ),
( 96, 'Blue1', 'Finsko', 'Evropa', NULL, 1987 ),
( 97, 'Finnair', 'Finsko', 'Evropa', 'oneworld', 1923 ),
( 98, 'Finncomm Airlines', 'Finsko', 'Evropa', NULL, 1993 ),
( 99, 'Aigle Azur', 'Francie', 'Evropa', NULL, 1946 ),
( 100, 'Air France', 'Francie', 'Evropa', 'SkyTeam', 1933 ),
( 101, 'Air Méditerranée', 'Francie', 'Evropa', NULL, 1997 ),
( 102, 'Airlinair', 'Francie', 'Evropa', NULL, 1999 ),
( 103, 'Axis Airways', 'Francie', 'Evropa', NULL, 2001 ),
( 104, 'Blue Line', 'Francie', 'Evropa', NULL, 2002 ),
( 105, 'Brit Air', 'Francie', 'Evropa', NULL, 1973 ),
( 106, 'CCM Airlines', 'Francie', 'Evropa', NULL, 2000 ),
( 107, 'Corsairfly', 'Francie', 'Evropa', NULL, 1981 ),
( 108, 'Eagle Aviation France', 'Francie', 'Evropa', NULL, 1998 ),
( 109, 'Europe Air Post', 'Francie', 'Evropa', NULL, 1991 ),
( 110, 'L''Avion', 'Francie', 'Evropa', NULL, 2006 ),
( 111, 'Pan Européenne Air Service', 'Francie', 'Evropa', NULL, 1977 ),
( 112, 'Régional', 'Francie', 'Evropa', NULL, 2001 ),
( 113, 'Transavia France', 'Francie', 'Evropa', NULL, 2006 ),
( 114, 'XL Airways France', 'Francie', 'Evropa', NULL, 2006 ),
( 115, 'Arkefly', 'Holandsko', 'Evropa', NULL, 2005 ),
( 116, 'Denim Air', 'Holandsko', 'Evropa', NULL, 1996 ),
( 117, 'Interstate Airlines', 'Holandsko', 'Evropa', NULL, 2005 ),
( 118, 'KLM Cityhopper', 'Holandsko', 'Evropa', NULL, 1991 ),
( 119, 'KLM Royal Dutch Airlines', 'Holandsko', 'Evropa', 'SkyTeam', 1919 ),
( 120, 'Martinair', 'Holandsko', 'Evropa', NULL, 1958 ),
( 121, 'transavia.com', 'Holandsko', 'Evropa', NULL, 1966 ),
( 122, 'Aer Arann', 'Irsko', 'Evropa', NULL, 1970 ),
( 123, 'Aer Lingus', 'Irsko', 'Evropa', NULL, 1936 ),
( 124, 'Air Contractors', 'Irsko', 'Evropa', NULL, 1972 ),
( 125, 'CityJet', 'Irsko', 'Evropa', NULL, 1994 ),
( 126, 'Futura Gael', 'Irsko', 'Evropa', NULL, 2006 ),
( 127, 'Ryanair', 'Irsko', 'Evropa', NULL, 1985 ),
( 128, 'Air Atlanta Icelandic', 'Island', 'Evropa', NULL, 1986 ),
( 129, 'Air Iceland', 'Island', 'Evropa', NULL, 1997 ),
( 130, 'Bluebird Cargo', 'Island', 'Evropa', NULL, 2001 ),
( 131, 'Iceland Express', 'Island', 'Evropa', NULL, 2002 ),
( 132, 'Icelandair', 'Island', 'Evropa', NULL, 1937 ),
( 133, 'JetX Airlines', 'Island', 'Evropa', NULL, 2003 ),
( 134, 'Aurela', 'Litva', 'Evropa', NULL, 1996 ),
( 135, 'Aviavilsa', 'Litva', 'Evropa', NULL, 1999 ),
( 136, 'DOT LT', 'Litva', 'Evropa', NULL, 2004 ),
( 137, 'FlyLal', 'Litva', 'Evropa', NULL, 1938 ),
( 138, 'airBaltic', 'Lotyšsko', 'Evropa', NULL, 1995 ),
( 139, 'Inversija', 'Lotyšsko', 'Evropa', NULL, 1991 ),
( 140, 'KS Avia', 'Lotyšsko', 'Evropa', NULL, 2004 ),
( 141, 'LatCharter', 'Lotyšsko', 'Evropa', NULL, 1993 ),
( 142, 'RAF-Avia', 'Lotyšsko', 'Evropa', NULL, 1991 ),
( 143, 'Farnair Hungary', 'Maďarsko', 'Evropa', NULL, 1990 ),
( 144, 'Malév Hungarian Airlines', 'Maďarsko', 'Evropa', 'oneworld', 1946 ),
( 145, 'Sky Europe Hungary', 'Maďarsko', 'Evropa', NULL, 2003 ),
( 146, 'Travel Service (Hungary)', 'Maďarsko', 'Evropa', NULL, NULL ),
( 147, 'Wizz Air', 'Maďarsko', 'Evropa', NULL, 2003 ),
( 148, 'Air Berlin', 'Německo', 'Evropa', NULL, 1978 ),
( 149, 'Augsburg Airways', 'Německo', 'Evropa', NULL, 1986 ),
( 150, 'Avanti Air', 'Německo', 'Evropa', NULL, 1994 ),
( 151, 'Blue Wings', 'Německo', 'Evropa', NULL, 2003 ),
( 153, 'Condor Airlines', 'Německo', 'Evropa', NULL, 1955 ),
( 154, 'Contact Air', 'Německo', 'Evropa', NULL, 1974 ),
( 152, 'Cirrus Airlines', 'Německo', 'Evropa', NULL, 1995 ),
( 155, 'European Air Express', 'Německo', 'Evropa', NULL, 1999 ),
( 156, 'Eurowings', 'Německo', 'Evropa', NULL, 1993 ),
( 157, 'Germania', 'Německo', 'Evropa', NULL, 1978 ),
( 158, 'Germanwings', 'Německo', 'Evropa', NULL, 1997 ),
( 159, 'Hamburg International', 'Německo', 'Evropa', NULL, 1999 ),
( 160, 'LTU International', 'Německo', 'Evropa', NULL, 1955 ),
( 161, 'Lufthansa', 'Německo', 'Evropa', 'Star Alliance', 1926 ),
( 162, 'Lufthansa Cargo', 'Německo', 'Evropa', NULL, 1994 ),
( 163, 'Lufthansa CityLine', 'Německo', 'Evropa', NULL, 1958 ),
( 164, 'Ostfriesische Lufttransport', 'Německo', 'Evropa', NULL, 1958 ),
( 165, 'TUIfly', 'Německo', 'Evropa', NULL, 2007 ),
( 166, 'WDL Aviation', 'Německo', 'Evropa', NULL, NULL ),
( 167, 'XL Airways Germany', 'Německo', 'Evropa', NULL, 2006 ),
( 168, 'Air Norway', 'Norsko', 'Evropa', NULL, 2003 ),
( 169, 'Coast Air', 'Norsko', 'Evropa', NULL, 1986 ),
( 170, 'Kato Airline', 'Norsko', 'Evropa', NULL, 1995 ),
( 171, 'Norwegian Air Shuttle', 'Norsko', 'Evropa', NULL, 1993 ),
( 172, 'SAS Scandinavian Airlines Norge', 'Norsko', 'Evropa', 'Star Alliance', 2007 ),
( 173, 'Vildanden', 'Norsko', 'Evropa', NULL, 2004 ),
( 174, 'Wideroe', 'Norsko', 'Evropa', NULL, 1934 ),
( 175, 'Aegean Airlines', 'Řecko', 'Evropa', NULL, 1987 ),
( 176, 'Alexandair', 'Řecko', 'Evropa', NULL, 2004 ),
( 177, 'Hellas Jet', 'Řecko', 'Evropa', NULL, 2002 ),
( 178, 'Hellenic Imperial Airways', 'Řecko', 'Evropa', NULL, 2006 ),
( 179, 'Mediterranean Air Freight', 'Řecko', 'Evropa', NULL, 2003 ),
( 180, 'Olympic Airlines', 'Řecko', 'Evropa', NULL, 1957 ),
( 181, 'Sky Express', 'Řecko', 'Evropa', NULL, 2005 ),
( 182, 'Sky Wings Airlines', 'Řecko', 'Evropa', NULL, 2005 ),
( 183, 'Aerolineas Argentinas', 'Argentina', 'Jižní Amerika', NULL, 1949 ),
( 184, 'Andes Lineas Aereas', 'Argentina', 'Jižní Amerika', NULL, 2006 ),
( 185, 'Austral Lineas Aereas', 'Argentina', 'Jižní Amerika', NULL, 1971 ),
( 186, 'LAN Argentina', 'Argentina', 'Jižní Amerika', 'oneworld', 2005 ),
( 187, 'Aerosur', 'Bolívie', 'Jižní Amerika', NULL, 1992 ),
( 188, 'Aerolines del Sur', 'Chile', 'Jižní Amerika', NULL, 2004 ),
( 189, 'LAN Airlines', 'Chile', 'Jižní Amerika', 'oneworld', 1929 ),
( 190, 'LAN Express', 'Chile', 'Jižní Amerika', NULL, 1958 ),
( 191, 'Sky Airline', 'Chile', 'Jižní Amerika', NULL, 2001 ),
( 192, 'Aerogal Aerolineas Galapagos', 'Ekvádor', 'Jižní Amerika', NULL, 1986 ),
( 193, 'Icaro Air', 'Ekvádor', 'Jižní Amerika', NULL, 1971 ),
( 194, 'LAN Ecuador', 'Ekvádor', 'Jižní Amerika', NULL, 2002 ),
( 195, 'TAME', 'Ekvádor', 'Jižní Amerika', NULL, 1962 ),
( 196, 'Aerolineas Sosa', 'Honduras', 'Severní Amerika', NULL, 1984 ),
( 197, 'Atlantic Airlines de Honduras', 'Honduras', 'Severní Amerika', NULL, 2001 ),
( 198, 'Islena Airlines', 'Honduras', 'Severní Amerika', NULL, 1981 ),
( 199, 'Air Jamaica', 'Jamajka', 'Severní Amerika', NULL, 1968 ),
( 200, 'International AirLink', 'Jamajka', 'Severní Amerika', NULL, NULL ),
( 201, 'TimAir', 'Jamajka', 'Severní Amerika', NULL, 1983 ),
( 202, 'Aero California', 'Mexiko', 'Severní Amerika', NULL, 1960 ),
( 203, 'Aerolitoral', 'Mexiko', 'Severní Amerika', NULL, 1991 ),
( 204, 'Aeromar', 'Mexiko', 'Severní Amerika', NULL, 1987 ),
( 205, 'Aeroméxico', 'Mexiko', 'Severní Amerika', 'SkyTeam', 1934 ),
( 206, 'Aeromexpress', 'Mexiko', 'Severní Amerika', NULL, 1990 ),
( 207, 'Aerounion', 'Mexiko', 'Severní Amerika', NULL, 1998 ),
( 208, 'Aladia', 'Mexiko', 'Severní Amerika', NULL, 2006 ),
( 209, 'ALMA de Mexico', 'Mexiko', 'Severní Amerika', NULL, 2006 ),
( 210, 'Aviacsa', 'Mexiko', 'Severní Amerika', NULL, 1990 ),
( 211, 'Avolar', 'Mexiko', 'Severní Amerika', NULL, 2005 ),
( 212, 'Click Mexicana', 'Mexiko', 'Severní Amerika', NULL, 2005 ),
( 213, 'Estafeta Carga Aerea', 'Mexiko', 'Severní Amerika', NULL, 2000 ),
( 214, 'Interjet', 'Mexiko', 'Severní Amerika', NULL, 2005 ),
( 215, 'Líneas Aéreas Azteca', 'Mexiko', 'Severní Amerika', NULL, 2001 ),
( 216, 'Magnicharters', 'Mexiko', 'Severní Amerika', NULL, 1994 ),
( 217, 'MasAir', 'Mexiko', 'Severní Amerika', NULL, 1992 ),
( 218, 'Mexicana de Aviación', 'Mexiko', 'Severní Amerika', NULL, 1921 ),
( 219, 'Nova Air', 'Mexiko', 'Severní Amerika', NULL, 2005 ),
( 220, 'Planet Airways', 'Mexiko', 'Severní Amerika', NULL, 2007 ),
( 221, 'Viva Aerobus', 'Mexiko', 'Severní Amerika', NULL, 2006 ),
( 222, 'Volaris', 'Mexiko', 'Severní Amerika', NULL, 2005 );


INSERT INTO tmp_letecke_flotily VALUES
( 1, 6, 1 ),
( 1, 6, 1 ),
( 1, 7, 5 ),
( 1, 16, 6 ),
( 1, 30, 1 ),
( 1, 30, 5 ),
( 1, 30, 10 ),
( 1, 33, 3 ),
( 1, 56, 1 ),
( 1, 65, 1 ),
( 3, 30, 1 ),
( 3, 30, 5 ),
( 3, 32, 5 ),
( 3, 32, 2 ),
( 3, 33, 1 ),
( 3, 33, 7 ),
( 3, 66, 1 ),
( 3, 58, 5 ),
( 3, 65, 1 ),
( 4, 26, 1 ),
( 5, 68, 1 ),
( 6, 26, 1 ),
( 6, 67, 1 ),
( 7, 33, 1 ),
( 8, 67, 3 ),
( 9, 31, 7 ),
( 10, 6, 3 ),
( 10, 30, 6 ),
( 11, 30, 2 ),
( 12, 15, 4 ),
( 13, 6, 1 ),
( 13, 30, 2 ),
( 13, 30, 6 ),
( 13, 30, 6 ),
( 13, 30, 14 ),
( 13, 31, 1 ),
( 13, 32, 2 ),
( 13, 33, 3 ),
( 14, 1, 8 ),
( 15, 7, 27 ),
( 15, 8, 15 ),
( 15, 8, 3 ),
( 15, 31, 8 ),
( 15, 31, 22 ),
( 15, 31, 11 ),
( 15, 34, 5 ),
( 15, 34, 12 ),
( 16, 5, 10 ),
( 16, 6, 6 ),
( 16, 7, 12 ),
( 16, 31, 1 ),
( 16, 31, 3 ),
( 16, 31, 3 ),
( 17, 30, 6 ),
( 18, 30, 3 ),
( 19, 31, 3 ),
( 20, 16, 4 ),
( 20, 32, 2 ),
( 20, 42, 4 ),
( 21, 31, 2 ),
( 22, 30, 2 ),
( 22, 30, 6 ),
( 22, 31, 2 ),
( 22, 31, 1 ),
( 22, 31, 2 ),
( 22, 31, 4 ),
( 22, 32, 4 ),
( 22, 33, 2 ),
( 22, 33, 4 ),
( 22, 33, 3 ),
( 22, 34, 4 ),
( 23, 5, 2 ),
( 23, 15, 4 ),
( 23, 33, 1 ),
( 24, 32, 2 ),
( 25, 5, 5 ),
( 25, 6, 11 ),
( 25, 7, 5 ),
( 25, 30, 7 ),
( 25, 30, 3 ),
( 25, 31, 2 ),
( 25, 31, 6 ),
( 25, 31, 5 ),
( 25, 33, 7 ),
( 25, 33, 1 ),
( 25, 34, 8 ),
( 26, 16, 3 ),
( 27, 43, 5 ),
( 28, 1, 8 ),
( 28, 1, 2 ),
( 28, 7, 3 ),
( 28, 7, 16 ),
( 28, 30, 16 ),
( 28, 30, 16 ),
( 28, 31, 23 ),
( 28, 31, 1 ),
( 28, 31, 8 ),
( 28, 31, 13 ),
( 28, 34, 13 ),
( 28, 34, 4 ),
( 29, 5, 22 ),
( 29, 30, 11 ),
( 30, 42, 4 ),
( 31, 58, 5 ),
( 32, 58, 7 ),
( 33, 7, 3 ),
( 33, 7, 11 ),
( 33, 30, 36 ),
( 33, 31, 1 ),
( 33, 31, 3 ),
( 33, 31, 15 ),
( 33, 31, 2 ),
( 33, 34, 17 ),
( 33, 58, 1 ),
( 34, 29, 5 ),
( 34, 72, 4 ),
( 35, 56, 1 ),
( 36, 47, 2 ),
( 36, 48, 5 ),
( 36, 53, 3 ),
( 37, 60, 5 ),
( 37, 58, 1 ),
( 38, 29, 1 ),
( 40, 43, 9 ),
( 40, 43, 3 ),
( 40, 43, 9 ),
( 40, 43, 1 ),
( 41, 5, 23 ),
( 41, 7, 4 ),
( 42, 15, 1 ),
( 42, 20, 1 ),
( 42, 53, 7 ),
( 42, 54, 1 ),
( 42, 55, 1 ),
( 42, 8, 6 ),
( 42, 81, 1 ),
( 43, 43, 2 ),
( 44, 17, 5 ),
( 44, 18, 3 ),
( 44, 19, 4 ),
( 44, 24, 1 ),
( 44, 27, 8 ),
( 44, 43, 1 ),
( 45, 30, 2 ),
( 46, 7, 10 ),
( 46, 30, 18 ),
( 46, 30, 33 ),
( 46, 31, 4 ),
( 46, 31, 24 ),
( 46, 31, 6 ),
( 46, 33, 28 ),
( 48, 43, 1 ),
( 49, 53, 4 ),
( 49, 8, 32 ),
( 50, 43, 2 ),
( 50, 43, 2 ),
( 50, 48, 6 ),
( 50, 53, 6 ),
( 51, 43, 2 ),
( 52, 60, 3 ),
( 52, 58, 7 ),
( 53, 43, 1 ),
( 53, 43, 2 ),
( 53, 43, 7 ),
( 53, 43, 6 ),
( 54, 30, 22 ),
( 54, 30, 27 ),
( 55, 40, 3 ),
( 55, 55, 1 ),
( 56, 40, 5 ),
( 57, 43, 15 ),
( 58, 5, 3 ),
( 58, 30, 13 ),
( 58, 31, 8 ),
( 58, 33, 6 ),
( 58, 34, 8 ),
( 59, 55, 2 ),
( 60, 30, 1 ),
( 60, 30, 2 ),
( 60, 53, 2 ),
( 60, 55, 3 ),
( 60, 56, 3 ),
( 61, 78, 17 ),
( 62, 5, 9 ),
( 63, 30, 5 ),
( 63, 30, 3 ),
( 64, 16, 11 ),
( 65, 30, 5 ),
( 66, 43, 1 ),
( 67, 47, 1 ),
( 68, 17, 1 ),
( 68, 18, 1 ),
( 68, 19, 1 ),
( 68, 58, 1 ),
( 69, 18, 1 ),
( 69, 19, 1 ),
( 69, 60, 1 ),
( 69, 73, 1 ),
( 70, 4, 3 ),
( 70, 7, 4 ),
( 70, 18, 6 ),
( 70, 23, 12 ),
( 70, 25, 14 ),
( 70, 30, 5 ),
( 70, 30, 5 ),
( 71, 1, 15 ),
( 71, 32, 11 ),
( 72, 5, 1 ),
( 72, 30, 4 ),
( 72, 30, 1 ),
( 72, 30, 2 ),
( 72, 33, 1 ),
( 72, 60, 1 ),
( 73, 5, 6 ),
( 74, 1, 5 ),
( 74, 18, 5 ),
( 74, 19, 8 ),
( 74, 30, 2 ),
( 74, 30, 7 ),
( 74, 30, 1 ),
( 74, 31, 2 ),
( 75, 19, 1 ),
( 75, 58, 19 ),
( 76, 11, 4 ),
( 77, 5, 3 ),
( 78, 5, 2 ),
( 78, 86, 3 ),
( 79, 30, 7 ),
( 79, 30, 3 ),
( 80, 73, 3 ),
( 80, 74, 1 ),
( 81, 18, 2 ),
( 81, 19, 1 ),
( 81, 30, 1 ),
( 81, 85, 1 ),
( 82, 11, 2 ),
( 82, 12, 4 ),
( 83, 11, 5 ),
( 84, 15, 2 ),
( 85, 5, 1 ),
( 86, 4, 4 ),
( 86, 5, 4 ),
( 86, 15, 3 ),
( 87, 73, 2 ),
( 87, 74, 3 ),
( 88, 60, 2 ),
( 89, 16, 6 ),
( 90, 12, 1 ),
( 92, 13, 3 ),
( 92, 21, 1 ),
( 93, 30, 2 ),
( 93, 30, 4 ),
( 94, 8, 2 ),
( 95, 32, 1 ),
( 96, 23, 2 ),
( 96, 25, 6 ),
( 96, 77, 3 ),
( 97, 4, 11 ),
( 97, 5, 12 ),
( 97, 6, 6 ),
( 97, 8, 2 ),
( 97, 32, 6 ),
( 97, 51, 10 ),
( 97, 52, 3 ),
( 97, 69, 6 ),
( 97, 71, 1 ),
( 98, 15, 4 ),
( 98, 16, 2 ),
( 98, 50, 2 ),
( 98, 8, 4 ),
( 99, 4, 2 ),
( 99, 5, 4 ),
( 99, 6, 4 ),
( 100, 3, 18 ),
( 100, 4, 46 ),
( 100, 5, 13 ),
( 100, 5, 55 ),
( 100, 6, 5 ),
( 100, 6, 10 ),
( 100, 7, 16 ),
( 100, 8, 19 ),
( 100, 15, 9 ),
( 100, 16, 4 ),
( 100, 18, 14 ),
( 100, 19, 2 ),
( 100, 25, 6 ),
( 100, 31, 5 ),
( 100, 31, 14 ),
( 100, 31, 6 ),
( 100, 31, 1 ),
( 100, 34, 25 ),
( 100, 34, 23 ),
( 100, 36, 17 ),
( 100, 38, 11 ),
( 100, 49, 9 ),
( 100, 50, 28 ),
( 100, 52, 3 ),
( 100, 60, 25 ),
( 100, 59, 8 ),
( 101, 5, 1 ),
( 101, 6, 4 ),
( 101, 6, 3 ),
( 102, 15, 18 ),
( 102, 16, 5 ),
( 103, 30, 1 ),
( 103, 30, 1 ),
( 104, 60, 2 ),
( 104, 74, 3 ),
( 105, 36, 19 ),
( 105, 38, 14 ),
( 105, 60, 13 ),
( 106, 4, 2 ),
( 106, 5, 2 ),
( 106, 16, 7 ),
( 107, 7, 2 ),
( 107, 31, 6 ),
( 109, 30, 15 ),
( 110, 32, 1 ),
( 111, 50, 1 ),
( 112, 48, 7 ),
( 112, 49, 9 ),
( 112, 50, 28 ),
( 112, 52, 3 ),
( 112, 60, 9 ),
( 112, 59, 5 ),
( 113, 30, 3 ),
( 114, 5, 5 ),
( 114, 7, 2 ),
( 115, 30, 1 ),
( 115, 33, 4 ),
( 116, 58, 2 ),
( 117, 15, 1 ),
( 118, 60, 20 ),
( 118, 58, 14 ),
( 118, 59, 21 ),
( 119, 7, 9 ),
( 119, 30, 14 ),
( 119, 30, 13 ),
( 119, 30, 15 ),
( 119, 30, 5 ),
( 119, 31, 5 ),
( 119, 31, 11 ),
( 119, 31, 3 ),
( 119, 34, 15 ),
( 119, 69, 10 ),
( 120, 5, 5 ),
( 120, 30, 2 ),
( 120, 31, 1 ),
( 120, 31, 1 ),
( 120, 31, 2 ),
( 120, 33, 6 ),
( 120, 70, 5 ),
( 120, 72, 2 ),
( 121, 30, 10 ),
( 121, 30, 21 ),
( 122, 15, 5 ),
( 122, 16, 9 ),
( 123, 5, 24 ),
( 123, 6, 6 ),
( 123, 7, 4 ),
( 123, 7, 5 ),
( 124, 1, 4 ),
( 124, 15, 7 ),
( 124, 16, 7 ),
( 124, 65, 1 ),
( 125, 18, 15 ),
( 125, 19, 2 ),
( 125, 25, 8 ),
( 126, 30, 1 ),
( 127, 30, 137 ),
( 128, 1, 1 ),
( 128, 31, 1 ),
( 128, 31, 10 ),
( 128, 31, 3 ),
( 128, 31, 2 ),
( 129, 43, 2 ),
( 129, 58, 6 ),
( 130, 30, 4 ),
( 130, 30, 2 ),
( 131, 77, 3 ),
( 132, 32, 9 ),
( 132, 32, 4 ),
( 132, 32, 1 ),
( 133, 30, 3 ),
( 133, 32, 1 ),
( 133, 73, 2 ),
( 134, 30, 2 ),
( 135, 12, 2 ),
( 136, 15, 2 ),
( 136, 8, 1 ),
( 137, 30, 1 ),
( 137, 30, 4 ),
( 137, 79, 4 ),
( 138, 30, 2 ),
( 138, 30, 9 ),
( 138, 58, 8 ),
( 139, 63, 1 ),
( 140, 14, 1 ),
( 141, 5, 2 ),
( 141, 89, 1 ),
( 142, 12, 5 ),
( 142, 14, 1 ),
( 142, 8, 2 ),
( 143, 56, 6 ),
( 144, 30, 6 ),
( 144, 30, 7 ),
( 144, 30, 4 ),
( 144, 33, 2 ),
( 144, 33, 1 ),
( 144, 37, 4 ),
( 144, 59, 5 ),
( 145, 30, 2 ),
( 145, 30, 1 ),
( 146, 30, 1 ),
( 147, 5, 10 ),
( 148, 4, 4 ),
( 148, 5, 21 ),
( 148, 30, 10 ),
( 148, 30, 1 ),
( 148, 30, 6 ),
( 148, 30, 37 ),
( 148, 60, 14 ),
( 149, 43, 5 ),
( 149, 43, 6 ),
( 150, 15, 3 ),
( 150, 16, 1 ),
( 151, 5, 3 ),
( 152, 30, 1 ),
( 152, 30, 1 ),
( 152, 43, 4 ),
( 152, 43, 1 ),
( 152, 44, 6 ),
( 152, 45, 2 ),
( 152, 49, 3 ),
( 152, 50, 1 ),
( 152, 51, 2 ),
( 153, 5, 14 ),
( 153, 32, 13 ),
( 153, 33, 9 ),
( 154, 15, 7 ),
( 154, 16, 6 ),
( 155, 15, 5 ),
( 155, 55, 1 ),
( 156, 18, 5 ),
( 156, 19, 9 ),
( 156, 37, 17 ),
( 157, 30, 4 ),
( 158, 4, 23 ),
( 158, 5, 3 ),
( 158, 73, 1 ),
( 158, 74, 1 ),
( 159, 30, 1 ),
( 159, 30, 5 ),
( 160, 5, 10 ),
( 160, 6, 4 ),
( 160, 7, 9 ),
( 160, 7, 3 ),
( 160, 19, 1 ),
( 161, 1, 14 ),
( 161, 4, 19 ),
( 161, 5, 36 ),
( 161, 6, 20 ),
( 161, 6, 6 ),
( 161, 7, 10 ),
( 161, 8, 28 ),
( 161, 8, 17 ),
( 161, 30, 33 ),
( 161, 30, 30 ),
( 161, 31, 30 ),
( 162, 72, 19 ),
( 163, 25, 18 ),
( 163, 36, 16 ),
( 163, 37, 10 ),
( 163, 37, 20 ),
( 163, 39, 12 ),
( 164, 53, 1 ),
( 164, 55, 3 ),
( 164, 79, 3 ),
( 164, 8, 2 ),
( 165, 30, 3 ),
( 165, 30, 2 ),
( 165, 30, 11 ),
( 165, 30, 40 ),
( 166, 17, 1 ),
( 166, 18, 3 ),
( 166, 56, 1 ),
( 167, 5, 2 ),
( 168, 55, 1 ),
( 169, 15, 3 ),
( 169, 22, 8 ),
( 170, 46, 2 ),
( 171, 30, 22 ),
( 172, 24, 1 ),
( 172, 30, 4 ),
( 172, 30, 13 ),
( 172, 30, 16 ),
( 172, 30, 11 ),
( 172, 30, 8 ),
( 172, 58, 6 ),
( 173, 8, 2 ),
( 174, 43, 16 ),
( 174, 43, 8 ),
( 174, 43, 4 ),
( 175, 5, 2 ),
( 175, 23, 6 ),
( 175, 30, 5 ),
( 175, 30, 9 ),
( 176, 73, 1 ),
( 177, 5, 1 ),
( 178, 31, 2 ),
( 179, 53, 1 ),
( 179, 55, 3 ),
( 180, 1, 1 ),
( 180, 8, 4 ),
( 180, 15, 6 ),
( 180, 16, 7 ),
( 180, 30, 3 ),
( 180, 30, 1 ),
( 180, 30, 14 ),
( 180, 43, 3 ),
( 181, 31, 1 ),
( 182, 73, 1 ),
( 182, 74, 1 ),
( 183, 2, 2 ),
( 183, 8, 4 ),
( 183, 30, 14 ),
( 183, 30, 12 ),
( 183, 31, 3 ),
( 183, 74, 1 ),
( 184, 73, 2 ),
( 185, 30, 2 ),
( 185, 74, 11 ),
( 185, 76, 4 ),
( 186, 5, 5 ),
( 186, 33, 2 ),
( 187, 29, 3 ),
( 187, 30, 4 ),
( 187, 32, 1 ),
( 188, 30, 5 ),
( 189, 3, 1 ),
( 189, 4, 13 ),
( 189, 5, 10 ),
( 189, 8, 4 ),
( 189, 30, 15 ),
( 189, 30, 1 ),
( 189, 33, 19 ),
( 189, 33, 4 ),
( 191, 30, 7 ),
( 192, 29, 1 ),
( 192, 30, 8 ),
( 193, 30, 2 ),
( 193, 43, 1 ),
( 193, 57, 2 ),
( 195, 5, 2 ),
( 195, 29, 2 ),
( 195, 51, 2 ),
( 195, 52, 1 ),
( 195, 57, 2 ),
( 196, 22, 3 ),
( 196, 47, 1 ),
( 197, 20, 1 ),
( 197, 30, 3 ),
( 197, 56, 2 ),
( 198, 15, 3 ),
( 198, 47, 2 ),
( 199, 5, 9 ),
( 199, 6, 6 ),
( 199, 8, 2 ),
( 202, 68, 13 ),
( 203, 50, 26 ),
( 204, 15, 15 ),
( 205, 30, 30 ),
( 205, 30, 5 ),
( 205, 32, 2 ),
( 205, 33, 3 ),
( 205, 33, 1 ),
( 205, 34, 3 ),
( 205, 73, 3 ),
( 205, 74, 2 ),
( 205, 75, 11 ),
( 205, 76, 10 ),
( 207, 1, 3 ),
( 208, 32, 1 ),
( 209, 36, 5 ),
( 209, 37, 9 ),
( 210, 30, 23 ),
( 210, 30, 3 ),
( 211, 30, 5 ),
( 211, 30, 3 ),
( 212, 60, 15 ),
( 213, 30, 2 ),
( 213, 30, 5 ),
( 214, 5, 9 ),
( 215, 30, 3 ),
( 216, 30, 7 ),
( 216, 30, 2 ),
( 217, 33, 2 ),
( 217, 67, 1 ),
( 218, 3, 10 ),
( 218, 4, 20 ),
( 218, 5, 30 ),
( 218, 33, 2 ),
( 219, 30, 4 ),
( 220, 29, 1 ),
( 221, 30, 5 ),
( 222, 4, 12 );

INSERT INTO letecke_flotily 
            SELECT spolecnost_id, letadlo_id, sum(pocet_letadel)
              FROM tmp_letecke_flotily
             GROUP BY spolecnost_id, letadlo_id;

COMMIT;
